com.atid.lib.module.barcode.ssi.type

## Enum Preamble

- java.lang.Object
- - java.lang.Enum<Preamble>
  - - com.atid.lib.module.barcode.ssi.type.Preamble

- All Implemented Interfaces:
    IEnumType, java.io.Serializable, java.lang.Comparable<Preamble>

      public enum Preamble
      extends java.lang.Enum<Preamble>
      implements IEnumType

  Preamble characters are part of the UPC symbol, and include Country Code and System Character. There are three options for transmitting a UPC-A / UPC-E / UPC-E1 preamble to the host device: transmit System Character only, transmit System Character and Country Code (“0” for USA ), and transmit no preamble. Select the appropriate option to match the host system.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `NoPreamble`
    `SystemCharacter`
    `SystemCharacterCoutryCode`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getCode()`
    `java.lang.String` | `toString()`
    `static Preamble` | `valueOf(int code)`
    `static Preamble` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Preamble[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NoPreamble

          public static final Preamble NoPreamble

    - #### SystemCharacter

          public static final Preamble SystemCharacter

    - #### SystemCharacterCoutryCode

          public static final Preamble SystemCharacterCoutryCode

  - ### Method Detail

    - #### values

          public static Preamble[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Preamble c : Preamble.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Preamble valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getCode

          public int getCode()

      Specified by:
        `getCode` in interface `IEnumType`

    - #### toString

          public java.lang.String toString()

      Specified by:
        `toString` in interface `IEnumType`
      Overrides:
        `toString` in class `java.lang.Enum<Preamble>`

    - #### valueOf

          public static Preamble valueOf(int code)